package eu.mhsl.minecraft.pixelpics.render.registry;

import eu.mhsl.minecraft.pixelpics.render.model.Model;
import org.bukkit.Material;
import org.bukkit.block.Block;
import org.bukkit.block.data.BlockData;

public interface ModelRegistry {

    void initialize();

    default Model getModel(Block block) {
        return getModel(block.getType(), block.getBlockData());
    }

    default Model getModel(Material material) {
        return getModel(material, null);
    }

    Model getModel(Material material, BlockData blockData);

    Model getDefaultModel();
}
